;; Emacs startup file for Debian package ‘inform-mode’.
;;
;; Copyright:
;;     © Ben Finney <bignose@debian.org>
;;     © Jim Van Zandt <jrv@debian.org>
;;     © Dirk Eddelbuettel <edd@debian.org>
;;     © Nils Naumann <naumann@unileoben.ac.at>

(let
    ;; This package follows the Debian Emacsen policy: it
    ;; byte-compiles its elisp files for each Emacs “flavor”
    ;; (‘emacs20’, ‘xemacs20’, ‘emacs21’, ‘xemacs21’, ...). The
    ;; compiled code is then installed in a package subdirectory of
    ;; the respective ‘site-lisp’ directory.
    ((package-dir (concat "/usr/share/"
                           (symbol-name debian-emacs-flavor)
                           "/site-lisp/inform-mode")))

  (when (file-directory-p package-dir)
    ;; Add the package directory to the Emacs load-path.
    (debian-pkg-add-load-path-item package-dir)

    (autoload 'inform-mode "inform-mode" "Inform editing mode." t)
    (add-to-list 'auto-mode-alist '("\\.inf\\'" . inform-mode) t)

    (autoload 'inform-maybe-mode "inform-mode" "Inform/C header editing mode.")
    (add-to-list 'auto-mode-alist '("\\.h\\'"   . inform-maybe-mode) t)

    (add-hook 'inform-mode-hook 'turn-on-font-lock)

    ))


;; Local variables:
;; coding: utf-8
;; mode: emacs-lisp
;; End:
